Subject: [rbridge] How are packets/link without a VLAN tag handled in a bridged network today?

From: michsmit at cisco.com (Michael Smith (michsmit))
Date: Wed, 4 Jan 2006 09:04:08 -0800

> -----Original Message-----
> From: rbridge-bounces at postel.org 
> 
> --On torsdag, desember 29, 2005 20:03:10 -0800 "Ghanwani, Anoop" 
> <anoop.ghanwani at hp.com> wrote:
> 
> > As for (3), yes, a port can be a member of multiple VLANs.  In that 
> > case, untagged traffic arriving at the port gets assigned the PVID.
> > When you send traffic out, there is a parameter to control 
> whether or 
> > not a given VLAN should be tagged/untagged before sending the frame 
> > out.
> 
> Just to be sure I understand you correctly:
> 
> If an untagged frame arrives from the LAN to the switch, it 
> gets assigned the PVID belonging to the port it arrives on 
> (there can be only one).
> 
> The operator can configure the port to receive traffic for 
> multiple VLANs, and can make the decision for each VLAN on 
> the port whether to send out the frames on that port for that 
> VLAN tagged or untagged.
> 
> Right?
> 
> (I can imagine some cases where it would be useful to send 
> traffic from more than one VLAN untagged (if one VLAN is used 
> to distribute unidirectional multicast traffic 
> "broadcast-like" into all segments, for instance), but I 
> agree that this could easily be confusing if the operator 
> doesn't keeep things very straight in his head.... mixing 
> tagged and untagged traffic would chiefly be useful (I think) 
> if a link is used both to connect end-stations to bridges and 
> to connect bridges, much as we imagine "internal" (in Joe's 
> terms) traffic between RBridges flowing over the same 
> physical LAN segments as "external" traffic.)

Agreed, normally only 1 VLAN can be sent untagged on a given link.
There are some interesting loop scenarios that occur with 802.1s if you
were to transmit multiple untagged VLANs.  However, there are a few
cases where this is done with your multicast example being one.

> 
> BTW... I couldn't find a place in 802.1Q that talks about 
> *changing* VLAN IDs; is this a standard function or a "vendor 
> extension"?

It was introduced as part of the provider bridging standard, 802.1ad.  

Michael

> 
>                       Harald
> 
> 
> 
> 
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org
> http://www.postel.org/mailman/listinfo/rbridge
>